Qt 5.8 | Qt 3D | C++ Classes | QMultiSampleAntiAliasing

Qt 5.8.0 Reference Documentation

# QMultiSampleAntiAliasing Class

(Qt3DRender::QMultiSampleAntiAliasing)

Enable multisample antialiasing More...

Header: | #include <QMultiSampleAntiAliasing>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | MultiSampleAntiAliasing
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QMultiSampleAntiAliasing(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Enable multisample antialiasing

A Qt3DRender::QMultiSampleAntiAliasing class enables multisample antialiasing. The render target must have been allocated with multisampling enabled.

## Member Function Documentation

### QMultiSampleAntiAliasing::QMultiSampleAntiAliasing(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QMultiSampleAntiAliasing.